package com.duiba.tuia.youtui.web.model.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * ClassName: LandUserFormInfo <br/>
 * Function: 表单模板的落地页提交. <br/>
 * date: 2018年4月18日 下午4:46:42 <br/>
 *
 * @author chencheng
 * @version
 * @since JDK 1.8
 */
@ApiModel("表单模板的落地页提交信息")
public class LandUserFormInfo {

    /** 省市区分隔解析 */
    public static final String SPLIT_LOCATION = " ";

    /** 渠道:模板制作的提交是formTemplate */
    private String             channel;

    /** 落地页id */
    @ApiModelProperty("落地页id")
    private Long               landId;

    /** 姓名 */
    @ApiModelProperty("姓名")
    private String             userName;

    /** 电话 */
    @ApiModelProperty("电话")
    private String             userPhone;

    /** 验证码 */
    @ApiModelProperty("验证码 ")
    private String             smsCode;

    /** 性别:女-0，男-1 */
    @ApiModelProperty("性别:女-0，男-1")
    private Integer            sex;

    /** 邮箱 */
    @ApiModelProperty("邮箱")
    private String             email;

    /** 区 */
    @ApiModelProperty("区 ")
    private String             region;

    /** 市 */
    @ApiModelProperty("市")
    private String             city;

    /** 省份 */
    @ApiModelProperty("省份")
    private String             province;

    /** 地区 */
    @ApiModelProperty("地区 ")
    private String             location;

    /** 详细地址 */
    @ApiModelProperty("详细地址")
    private String             address;

    /** 出生日期 */
    @ApiModelProperty("出生日期")
    private String             birthday;

    /** 身份证 */
    @ApiModelProperty("身份证")
    private String             identification;

    /** 自定义字段 */
    @ApiModelProperty("自定义字段 ")
    String                     listUserInfo;

    /** 自定义字段 */
    @ApiModelProperty(value="自定义字段 ", hidden=true)
    List<CustomUserFormInfo>   listUserInfoList;

    /**
     * landId.
     *
     * @return the landId
     * @since JDK 1.8
     */
    public Long getLandId() {
        return landId;
    }

    /**
     * landId.
     *
     * @param landId the landId to set
     * @since JDK 1.8
     */
    public void setLandId(Long landId) {
        this.landId = landId;
    }

    /**
     * userName.
     *
     * @return the userName
     * @since JDK 1.8
     */
    public String getUserName() {
        return userName;
    }

    /**
     * userName.
     *
     * @param userName the userName to set
     * @since JDK 1.8
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * userPhone.
     *
     * @return the userPhone
     * @since JDK 1.8
     */
    public String getUserPhone() {
        return userPhone;
    }

    /**
     * userPhone.
     *
     * @param userPhone the userPhone to set
     * @since JDK 1.8
     */
    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    /**
     * smsCode.
     *
     * @return the smsCode
     * @since JDK 1.8
     */
    public String getSmsCode() {
        return smsCode;
    }

    /**
     * smsCode.
     *
     * @param smsCode the smsCode to set
     * @since JDK 1.8
     */
    public void setSmsCode(String smsCode) {
        this.smsCode = smsCode;
    }

    /**
     * address.
     *
     * @return the address
     * @since JDK 1.8
     */
    public String getAddress() {
        return address;
    }

    /**
     * address.
     *
     * @param address the address to set
     * @since JDK 1.8
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * sex.
     *
     * @return the sex
     * @since JDK 1.8
     */
    public Integer getSex() {
        return sex;
    }

    /**
     * sex.
     *
     * @param sex the sex to set
     * @since JDK 1.8
     */
    public void setSex(Integer sex) {
        this.sex = sex;
    }

    /**
     * email.
     *
     * @return the email
     * @since JDK 1.8
     */
    public String getEmail() {
        return email;
    }

    /**
     * email.
     *
     * @param email the email to set
     * @since JDK 1.8
     */
    public void setEmail(String email) {
        this.email = email;
    }

    /**
     * region.
     *
     * @return the region
     * @since JDK 1.8
     */
    public String getRegion() {
        return region;
    }

    /**
     * region.
     *
     * @param region the region to set
     * @since JDK 1.8
     */
    public void setRegion(String region) {
        this.region = region;
    }

    /**
     * city.
     *
     * @return the city
     * @since JDK 1.8
     */
    public String getCity() {
        return city;
    }

    /**
     * city.
     *
     * @param city the city to set
     * @since JDK 1.8
     */
    public void setCity(String city) {
        this.city = city;
    }

    /**
     * province.
     *
     * @return the province
     * @since JDK 1.8
     */
    public String getProvince() {
        return province;
    }

    /**
     * province.
     *
     * @param province the province to set
     * @since JDK 1.8
     */
    public void setProvince(String province) {
        this.province = province;
    }

    /**
     * birthday.
     *
     * @return the birthday
     * @since JDK 1.8
     */
    public String getBirthday() {
        return birthday;
    }

    /**
     * birthday.
     *
     * @param birthday the birthday to set
     * @since JDK 1.8
     */
    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    /**
     * listUserInfo.
     *
     * @return the listUserInfo
     * @since JDK 1.8
     */
    public String getListUserInfo() {
        return listUserInfo;
    }

    /**
     * listUserInfo.
     *
     * @param listUserInfo the listUserInfo to set
     * @since JDK 1.8
     */
    public void setListUserInfo(String listUserInfo) {
        this.listUserInfo = listUserInfo;
    }

    /**
     * listUserInfoList.
     *
     * @return the listUserInfoList
     * @since JDK 1.8
     */
    public List<CustomUserFormInfo> getListUserInfoList() {
        return listUserInfoList;
    }

    /**
     * listUserInfoList.
     *
     * @param listUserInfoList the listUserInfoList to set
     * @since JDK 1.8
     */
    public void setListUserInfoList(List<CustomUserFormInfo> listUserInfoList) {
        this.listUserInfoList = listUserInfoList;
    }

    /**
     * identification.
     *
     * @return the identification
     * @since JDK 1.8
     */
    public String getIdentification() {
        return identification;
    }

    /**
     * identification.
     *
     * @param identification the identification to set
     * @since JDK 1.8
     */
    public void setIdentification(String identification) {
        this.identification = identification;
    }

    /**
     * channel.
     *
     * @return the channel
     * @since JDK 1.8
     */
    public String getChannel() {
        return channel;
    }

    /**
     * channel.
     *
     * @param channel the channel to set
     * @since JDK 1.8
     */
    public void setChannel(String channel) {
        this.channel = channel;
    }

    /**
     * location.
     *
     * @return the location
     * @since JDK 1.8
     */
    public String getLocation() {
        return location;
    }

    /**
     * location.
     *
     * @param location the location to set
     * @since JDK 1.8
     */
    public void setLocation(String location) {
        this.location = location;
    }

}
